get
https://api.zondacrypto.exchange/rest/balances/BITBAY/history
This endpoint returns a list of all finalized operations. Offers various filtering options.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
JSON Array of Query Params
balancesId
array of strings
Array of wallets UUID to get an informations about.
balanceCurrencies
array of strings
Array of currencies.
fromTime
date-time
Unix timestamp from which the operations start.
toTime
date-time
Unix timestamp for which they end.
fromValue
float
Minimal transaction price to be filtred.
toValue
float
Maximal transaction price to be filtred.
balanceTypes
string
Type of wallet: fiat / crypto.
types
array of strings
Array of operation types. The whole operations list is available below.
sort
array of objects
Array of sorting parameters: by - to which value sort by, order - type of sort: ASC/DESC.
All parameters must be sent by query in JSON format.
Response details
| Key | Type | Description |
|---|---|---|
| items | array | |
| historyId | UUID | Operation UUID. |
| balance | array | Array of data about balance. |
| UUID | Wallet UUID. |
| string | Cryptocurrency symbol. |
| string | Wallet type: crypto / fiat. |
| UUID | User UUID. |
| string | Name of the wallet. |
| detailId | UUID | Operation detail UUID (if is available). |
| time | UNIX timestamp | Time of operation creation. |
| type | string | Operation type. The whole operations list is available below. |
| value | decimal | Operation value. |
| fundsBefore / fundsAfter / change | array | Array of parameters for wallet. |
| decimal | Total amount of funds. |
| decimal | Available amount of funds. |
| decimal | Locked amount of funds. |
| hasNextPage | boolean | True if there is a next page to fetch |
| fetchedRows | integer | Number of received records. |
| limit | integer | Limit of records per page. |
| settings | array | Array of received parameters to filter. |
| array | Array of balances UUID. |
| array | Array of currencies. |
| array | Array of balance types. |
| string | Wallet application: BITBAY / BITBAYPAY. |
| Unix Timestamp | From what time get operations. |
| Unix Timestamp | To what time get operations. |
| boolean | Do apply absolute values filter to fromValue and toValue parameters. |
| decimal | Minimal value of cryptocurrency. |
| decimal | Minimal value of cryptocurrency. |
| array | Array of parameters to sort: by - field to sort by, order - type of sort: ASC/DESC. |
| integer | Limit of records for page. |
| array | Array types of operations. Available below. |
Operation types
| Key | Description |
|---|---|
| CREATE_BALANCE | Create new wallet balance. |
| ADD_FUNDS | Deposit on balance. |
| SUBTRACT_FUNDS | Withdrawal from balance. |
| TRANSFER_FROM | Internal transfer from balance. |
| TRANSFER_TO | Internal transfer to balance. |
| TRANSACTION_COMMISSION_OUTCOME | Fee charge for transaction. |
| TRANSACTION_PRE_LOCKING | Blocking funds on balance. |
| LOCK_FUNDS | Blocking funds on balance. |
| ADMIN_LOCK_FUNDS | Blocking funds on balance by admin. |
| UNLOCK_FUNDS | Unblocking funds. |
| ADMIN_UNLOCK_FUNDS | Unblocking funds by admin. |
| TRANSACTION_POST_INCOME | Received funds from transaction. |
| TRANSACTION_POST_OUTCOME | Taken funds from transaction. |
| ADMIN_ADD_FUNDS | Correction: received funds from admin. |
| ADMIN_SUBTRACT_FUNDS | Correction: taken funds by admin. |
| TRANSACTION_OFFER_ABORTED_RETURN | Refund funds for order cancel. |
| AFFILIATE_FUNDS_TRANSFER | Received funds from affiliate program. |
| PAY_WITHDRAW_LOCK | Locking funds before withdrawal: {name} |
| TRANSACTION_OFFER_COMPLETED_RETURN | Cancelling order below minimum value. |
| TRANSACTION_FAIL_UNLOCKING | Refund after failed make order try. |
| WITHDRAWAL_LOCK_FUNDS | Locking funds before withdrawal. |
| WITHDRAWAL_UNLOCK_FUNDS | Unlocking funds. |
| WITHDRAWAL_SUBTRACT_FUNDS | Funds withdrawal. |
| FUNDS_MIGRATION | Funds migration. |
| TRANSACTION_COMMISSION_RETURN | Fee refund. |
| ADD_FUNDS_ERROR_REFUND | Correction refund. |
| OLD_ADDRESS_CRYPTO_DEPOSIT | Trying to deposit to old crypto address. |
| FIAT_DEPOSIT_MIGRATED | Fiat funds migration. |
| ADMIN_WITHDRAWAL_REFUND | Funds refund after cancelling withdrawal. |
| SUBTRACT_FUNDS_ERROR_CORRECTION | Funds correction. |
| ADD_FUNDS_COMPENSATION | Funds compensation. |
| BITCOIN_GOLD_FORK | Funds received because of fork. |
| BALANCE_DEPOSIT_CORRECTION | Deposit correction. |
| WITHDRAWAL_CUSTOM_COMMISSION | Network withdrawal fee for. |
Deprecated operations related with cards which are unavailable right now
| Key |
|---|
| CARD_ADMISSION |
| CARD_ORDER |
| INCOME |
| OUTCOME |
| LOCK_CARD_ADMISSION |
| UNLOCK_CARD_ADMISSION |
| SUBTRACT_CARD_ADMISSION |
| LOCK_ORDER_COMISSION |
| SUBTRACT_CARD_ORDER |
| UNLOCK_CARD_ORDER |
